﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="VB_HowDoISamples.Web._Default" %>

<%@ Register Assembly="SilverlightMapConnector" Namespace="ThinkGeo.MapSuite.SilverlightEdition"
    TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>VB Samples</title>
    <style type="text/css">
        html, body, form
        {
            height: 100%;
        }
        body
        {
            margin: 0px;
            overflow: hidden;
        }
    </style>

    <script type="text/javascript">
        var updateSize = function(withTree) {
            var sw = parseInt(document.body.scrollWidth);
            var sh = parseInt(document.body.scrollHeight);


            var sourceDiv = $get('sourceDiv');

            if (withTree) {
                sw -= 253;
                sh -= 125;
                sourceDiv.style.left = 253;
            } else {
                sourceDiv.style.left = 4;
            }
            sourceDiv.style.width = sw + 'px';
            sourceDiv.style.height = sh + 'px';
        }

        var hide = function() {
            var sourceDiv = $get('sourceDiv');
            sourceDiv.style.display = 'none';
        }

        var show = function(srcUri) {
            var div = $get('sourceDiv');
            var iframe = $get('sourceFrame');
            iframe.src = srcUri;
            div.style.display = 'block';
        }
    </script>
</head>
<body onresize="updateSize(true)" onload="updateSize(true)">
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:SilverlightMapConnector Windowless="true" ID="SilverlightMapConnector1" runat="server"
        Width="100%" Height="100%" Source="~/ClientBin/VB HowDoISamples.xap"></cc1:SilverlightMapConnector>
    <div id="sourceDiv" style="background: color:white; position: absolute; left: 253px;
        top: 119px; display: none;">
        <iframe id="sourceFrame" width="100%" height="100%"></iframe>
    </div>
    </form>
</body>
</html>
