﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.SilverlightEdition
Imports ZedGraph
Imports System.Drawing
Imports System.Globalization

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Dim citiesLayer As ShapeFileFeatureLayer

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Dim layer As GeoTiffRasterLayer = New GeoTiffRasterLayer(MapPath("~/World.tif"))
            layer.UpperThreshold = Double.MaxValue
            layer.LowerThreshold = Double.MinValue
            Dim overlay As ServerLayerOverlay = New ServerLayerOverlay("ImageOverlay")
            overlay.Layers.Add(layer)
            SilverlightMapConnector1.ServerLayerOverlays.Add(overlay)
        End If
    End Sub

End Class